org.apache.hadoop.yarn.api.protocolrecords

## Class GetNewApplicationRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetNewApplicationRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class GetNewApplicationRequest
      extends Object

  The request sent by clients to get a new `ApplicationId` for submitting an application.

  Currently, this is empty.

  See Also:
    `ApplicationClientProtocol.getNewApplication(GetNewApplicationRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetNewApplicationRequest()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GetNewApplicationRequest` | `newInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetNewApplicationRequest

          public GetNewApplicationRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public static GetNewApplicationRequest newInstance()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.